<?php

namespace common\modules\triggers\components\conditions\conditions;

use common\components\UnisenderAPI;
use common\modules\triggers\components\conditions\vendor\ConditionBase;
use common\modules\triggers\components\conditions\vendor\ConditionInterface;
use common\modules\triggers\models\TriggerLogs;
use common\modules\users\models\User;

class CheckUserToRegistration extends ConditionBase implements ConditionInterface{
    const CONDITION_ID = 6;

    public $name = 'Пользователь зарегистрировался';

    /**
     * @param null|string $conditionName
     * @return $this mixed
     */
    public static function init($conditionName=__CLASS__){
        return parent::init($conditionName);
    }

    /**
     * @param $message
     * @return bool
     */
    public function check($message=null, $params = array()){
        $email = null;
        if (!is_null($message))
            $email = $message->email;
        elseif(array_key_exists('email', $params)) {
            $email = $params['email'];
        }
        if (!is_null($email)) {
            $user = User::find()->where(['email' => $email])->one();
            if (!is_null($user)) {
                $exists = TriggerLogs::find()->where(['user_id' => $user->getPrimaryKey(), 'action' =>TriggerLogs::USER_REGISTRATION])->exists();
                return $exists;
            }
        }
        return false;
    }
}